# Retrieve a single person

GET https://api.letsdeel.com/rest/v2/people/{hris_profile_id}

Retrieves detailed information about a single person (employee, contractor, or worker) in the organization by their HRIS profile OID, including personal details, employment information, organizational structure, direct manager and reports, custom fields, and related metadata.
 **Token scopes**: `people:read`

Reference: https://developer.deel.com/api/endpoints/people/get-person-by-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /people/{hris_profile_id}:
    get:
      operationId: get-person-by-id
      summary: Retrieve a single person
      description: >-
        Retrieves detailed information about a single person (employee,
        contractor, or worker) in the organization by their HRIS profile OID,
        including personal details, employment information, organizational
        structure, direct manager and reports, custom fields, and related
        metadata.
         **Token scopes**: `people:read`
      tags:
        - subpackage_people
      parameters:
        - name: hris_profile_id
          in: path
          description: Unique identifier for the person.
          required: true
          schema:
            type: string
            format: uuid
        - name: include_custom_fields
          in: query
          description: Include custom fields in the response.
          required: false
          schema:
            type: boolean
        - name: include_worker_relations
          in: query
          description: Include worker relations in the response.
          required: false
          schema:
            type: boolean
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/people_getPersonById_Response_200'
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RetrieveASinglePersonRequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmailsItems:
      type: object
      properties:
        type:
          type: string
          description: The type of email.
        value:
          type:
            - string
            - 'null'
          description: The email address.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmailsItems
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataAddressesItems:
      type: object
      properties:
        region:
          type: string
          description: Region code.
        country:
          type: string
          description: Country code.
        locality:
          type: string
          description: Locality name.
        postalCode:
          type: string
          description: Postal code.
        streetAddress:
          type: string
          description: Street and number.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataAddressesItems
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDepartment:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier of this resource.
        name:
          type: string
          description: The name of the department.
        parent:
          type: string
          description: The parent department.
      description: The department of the employee.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDepartment
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsTeam:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: >-
            Refers to Groups in the platform. Working groups that reflect the
            organization's structure.
        name:
          type: string
          description: The team name.
      description: The team to which the employee belongs.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsTeam
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsPaymentRate:
      oneOf:
        - type: string
        - type: number
          format: double
      description: The payment rate. Value is a string if contract type is PEO.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsPaymentRate
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsPayment:
      type: object
      properties:
        rate:
          $ref: >-
            #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsPaymentRate
          description: The payment rate. Value is a string if contract type is PEO.
        scale:
          type:
            - string
            - 'null'
          description: The payment scale (e.g., hourly, weekly, monthly, etc.)
        currency:
          type: string
          description: The currency code (ISO 4217) for the payment
        contract_name:
          type: string
          description: The name of the contract associated with the payment
      description: >-
        Payment information for the employment, including rate, scale, currency,
        and associated contract name.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsPayment
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsContractCoverage:
      type: string
      enum:
        - is_shielded
        - is_premium
      description: >-
        The coverage type of the employment contract. 'is_shielded' = Contractor
        of Record, 'is_premium' = Premium, null = Standard (no coverage).
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsContractCoverage
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsClientLegalEntity:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          format: uuid
          description: Unique identifier of this resource.
        name:
          type:
            - string
            - 'null'
          description: The name of the client legal entity.
      description: The client legal entity associated with this employment contract.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsClientLegalEntity
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsHrisDirectEmployeeInvitation:
      type: object
      properties:
        oid:
          type: string
          description: Unique identifier of this resource.
        status:
          type:
            - string
            - 'null'
          description: The HRIS direct employee invitation status.
        send_at:
          type:
            - string
            - 'null'
          format: date-time
          description: The HRIS direct employee invitation send date.
        timezone:
          type:
            - string
            - 'null'
          description: The HRIS direct employee invitation timezone.
      description: The HRIS direct employee invitation status.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsHrisDirectEmployeeInvitation
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItems:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the employment.
        name:
          type: string
          description: Name of the employee.
        team:
          $ref: >-
            #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsTeam
          description: The team to which the employee belongs.
        email:
          type: string
          description: The work email of the employee.
        state:
          type:
            - string
            - 'null'
          description: The state of employment.
        country:
          type:
            - string
            - 'null'
          description: The country of employment.
        payment:
          $ref: >-
            #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsPayment
          description: >-
            Payment information for the employment, including rate, scale,
            currency, and associated contract name.
        is_ended:
          type: boolean
          description: Whether the employment has ended.
        timezone:
          type:
            - string
            - 'null'
          description: The timezone of the employment.
        job_title:
          type:
            - string
            - 'null'
          description: The job title of the employment.
        seniority:
          type:
            - string
            - 'null'
          description: The seniority level of the employment.
        start_date:
          type:
            - string
            - 'null'
          format: date
          description: The start date of the employment.
        work_email:
          type:
            - string
            - 'null'
          description: The work email of the employment.
        hiring_type:
          type: string
          description: The type of hiring of the employment.
        hiring_status:
          type: string
          description: The current hiring status of the employment.
        completion_date:
          type:
            - string
            - 'null'
          description: The completion date of the employment contract.
        contract_status:
          type: string
          description: The status of the employment contract.
        voluntarily_left:
          type:
            - boolean
            - 'null'
          description: Whether the employee voluntarily left the employment.
        contract_coverage:
          oneOf:
            - $ref: >-
                #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsContractCoverage
            - type: 'null'
          description: >-
            The coverage type of the employment contract. 'is_shielded' =
            Contractor of Record, 'is_premium' = Premium, null = Standard (no
            coverage).
        new_hiring_status:
          type: string
          description: The new hiring status of the employment.
        client_legal_entity:
          oneOf:
            - $ref: >-
                #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsClientLegalEntity
            - type: 'null'
          description: The client legal entity associated with this employment contract.
        has_eor_termination:
          type:
            - boolean
            - 'null'
          description: Whether the employment has an EOR termination.
        contract_is_archived:
          type: boolean
          description: Whether the employment contract is archived.
        termination_last_day:
          type:
            - string
            - 'null'
          format: date-time
          description: The last day of work mentioned on the contract termination.
        contract_has_contractor:
          type: boolean
          description: Whether the contract has a contractor.
        is_user_contract_deleted:
          type: boolean
          description: Whether the user contract is deleted.
        hris_direct_employee_invitation:
          oneOf:
            - $ref: >-
                #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItemsHrisDirectEmployeeInvitation
            - type: 'null'
          description: The HRIS direct employee invitation status.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItems
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDirectManager:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the manager.
        last_name:
          type: string
          description: The last name of the manager.
        worker_id:
          type: number
          format: double
          description: The worker ID of the manager.
        first_name:
          type: string
          description: The first name of the manager.
        work_email:
          type:
            - string
            - 'null'
          description: The work email of the manager.
      description: The direct manager of the employee.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDirectManager
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDirectReportsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the direct report.
        last_name:
          type: string
          description: The last name of the direct report.
        first_name:
          type: string
          description: The first name of the direct report.
        work_email:
          type:
            - string
            - 'null'
          description: The work email of the direct report.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDirectReportsItems
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataClientLegalEntity:
      type: object
      properties:
        id:
          type:
            - string
            - 'null'
          format: uuid
          description: Unique identifier of this resource.
        name:
          type:
            - string
            - 'null'
          description: The name of the client legal entity.
      description: The primary client legal entity associated with the employee.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataClientLegalEntity
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataActiveWorkerTerminationStatus:
      type: string
      enum:
        - PENDING
        - CONTRACT_TERMINATION_DATA_COLLECTED
        - IN_PROGRESS
        - COMPLETED
        - FAILED
        - CANCELED
      description: The status of the active worker termination.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataActiveWorkerTerminationStatus
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItemsPositionsItemsRole:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Id of the role.
        name:
          type: string
          description: Name of the role.
      description: The role associated with this position, including role ID and name.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItemsPositionsItemsRole
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItemsPositionsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Id of the position.
        role:
          oneOf:
            - $ref: >-
                #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItemsPositionsItemsRole
            - type: 'null'
          description: The role associated with this position, including role ID and name.
        is_supportive:
          type: boolean
          description: Whether the position is supportive or not.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItemsPositionsItems
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Id of the team.
        name:
          type: string
          description: Name of the team.
        positions:
          type: array
          items:
            $ref: >-
              #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItemsPositionsItems
          description: An array of positions held by the employee within this team.
        name_hierarchy:
          type:
            - string
            - 'null'
          description: Hierarchy of the team.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItems
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Id of the Organizational structure.
        name:
          type: string
          description: Name of the Organizational structure.
        teams:
          type: array
          items:
            $ref: >-
              #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItemsTeamsItems
          description: List of teams in the organizational structure.
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItems
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataCustomFieldsItems:
      type: object
      properties:
        name:
          type: string
          description: Custom field property name.
        value:
          type:
            - string
            - 'null'
          description: Custom field property value.
      description: Customized attributes on people (Job title, Project code, etc).
      title: >-
        PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataCustomFieldsItems
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the employee.
        state:
          type:
            - string
            - 'null'
          description: The state of the employee.
        emails:
          type: array
          items:
            $ref: >-
              #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmailsItems
          description: An array of the employee's email addresses.
        country:
          type:
            - string
            - 'null'
          description: The country of the employee.
        timezone:
          type:
            - string
            - 'null'
          description: The timezone of the employee.
        addresses:
          type: array
          items:
            $ref: >-
              #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataAddressesItems
          description: >-
            An array of address objects containing the employee's physical
            addresses.
        full_name:
          type: string
          description: The full name of the employee.
        job_title:
          type:
            - string
            - 'null'
          description: The job title of the employee.
        last_name:
          type: string
          description: The last name of the employee.
        seniority:
          type:
            - string
            - 'null'
          description: The seniority level of the employee.
        worker_id:
          type: string
          description: The worker ID of the employee.
        birth_date:
          type:
            - string
            - 'null'
          description: The birth date of the employee.
        created_at:
          type: string
          format: date-time
          description: The creation timestamp of the employee record.
        department:
          $ref: >-
            #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDepartment
          description: The department of the employee.
        first_name:
          type: string
          description: The first name of the employee.
        start_date:
          type:
            - string
            - 'null'
          format: date
          description: The date the employee started working.
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
          description: Long date-time format following ISO-8601
        employments:
          type: array
          items:
            $ref: >-
              #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataEmploymentsItems
          description: >-
            An array of employment records associated with the employee,
            including contract details, team information, payment details, and
            employment status.
        external_id:
          type:
            - string
            - 'null'
          description: The external ID of the employee.
        hiring_type:
          type: string
          description: The type of hiring of the employee.
        hiring_status:
          type: string
          description: The current hiring status of the employee.
        nationalities:
          type: array
          items:
            type: string
          description: The nationality of the employee.
        work_location:
          type:
            - string
            - 'null'
          description: The work location of the employee.
        direct_manager:
          oneOf:
            - $ref: >-
                #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDirectManager
            - type: 'null'
          description: The direct manager of the employee.
        direct_reports:
          type:
            - array
            - 'null'
          items:
            $ref: >-
              #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataDirectReportsItems
          description: The direct reports to the employee.
        completion_date:
          type:
            - string
            - 'null'
          description: The completion date of the task or project.
        new_hiring_status:
          type: string
          description: The new hiring status of the employee.
        client_legal_entity:
          $ref: >-
            #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataClientLegalEntity
          description: The primary client legal entity associated with the employee.
        preferred_last_name:
          type:
            - string
            - 'null'
          description: The preferred last name of the employee.
        direct_reports_count:
          type: integer
          description: The count of direct reports to the employee.
        preferred_first_name:
          type:
            - string
            - 'null'
          description: The preferred first name of the employee.
        active_worker_termination_status:
          oneOf:
            - $ref: >-
                #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataActiveWorkerTerminationStatus
            - type: 'null'
          description: The status of the active worker termination.
        profile_organizational_structures:
          type: array
          items:
            $ref: >-
              #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataProfileOrganizationalStructuresItems
          description: >-
            An array of organizational structures associated with the employee
            profile.
        direct_employee_termination_last_day:
          type: string
          format: date
          description: The last day of work mentioned on the primary contract termination.
        custom_fields:
          type: array
          items:
            $ref: >-
              #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaDataCustomFieldsItems
          description: >-
            An array of custom field objects containing additional attributes
            associated with the employee (e.g., Job title, Project code, etc.).
      title: PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaData
    people_getPersonById_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: people_getPersonById_Response_200
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaError:
      type: object
      properties:
        code:
          type: string
          description: Error code identifying the type of error.
        details:
          type:
            - string
            - 'null'
          description: Additional details about the error.
        message:
          type: string
          description: Error message describing what went wrong.
      required:
        - code
        - message
      title: PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaError
    RetrieveASinglePersonRequestInternalServerError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/PeopleHrisProfileIdGetResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: RetrieveASinglePersonRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e"

querystring = {"include_custom_fields":"true","include_worker_relations":"true"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/people/9b9fc43a-a90c-4615-ac50-baf1e314b53e?include_custom_fields=true&include_worker_relations=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```